<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* displayprofile-form-edit-android.twig */
class __TwigTemplate_a0c08f18f19ceb86477af08a956a8e0b83bf6b353c17122a522b343be14659dd extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->parent = false;

        $this->blocks = [
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 23
        echo "<div class=\"row\">
    <div class=\"col-md-12\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"active\"><a href=\"#general\" role=\"tab\" data-toggle=\"tab\">";
        // line 26
        echo __("General");
        echo "</a></li>
            <li><a href=\"#network\" role=\"tab\" data-toggle=\"tab\">";
        // line 27
        echo __("Network");
        echo "</a></li>
            <li><a href=\"#location\" role=\"tab\" data-toggle=\"tab\">";
        // line 28
        echo __("Location");
        echo "</a></li>
            <li><a href=\"#troubleshooting\" role=\"tab\" data-toggle=\"tab\">";
        // line 29
        echo __("Troubleshooting");
        echo "</a></li>
            <li><a href=\"#advanced\" role=\"tab\" data-toggle=\"tab\">";
        // line 30
        echo __("Advanced");
        echo "</a></li>
            ";
        // line 31
        if ((twig_length_filter($this->env, ($context["commands"] ?? null)) > 0)) {
            // line 32
            echo "                <li><a href=\"#commands\" role=\"tab\" data-toggle=\"tab\">";
            echo __("Commands");
            echo "</a></li>
            ";
        }
        // line 34
        echo "        </ul>
        <form id=\"displayProfileForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 35
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("displayProfile.edit", ["id" => $this->getAttribute(($context["displayProfile"] ?? null), "displayProfileId", [])]), "html", null, true);
        echo "\">
            <div class=\"tab-content\">
                <div class=\"tab-pane active\" id=\"general\">
                    ";
        // line 38
        $this->loadTemplate("displayprofile-form-edit-common-fields.twig", "displayprofile-form-edit-android.twig", 38)->display($context);
        // line 39
        echo "
                    ";
        // line 40
        $context["title"] = __("Email Address");
        // line 41
        echo "                    ";
        $context["helpText"] = __("The email address will be used to license this Player. This is the email address you provided when you purchased the licence.");
        // line 42
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "email", [0 => "emailAddress", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "emailAddress"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 44
        $context["title"] = __("Password Protect Settings");
        // line 45
        echo "                    ";
        $context["helpText"] = __("Provide a Password which will be required to access settings");
        // line 46
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "input", [0 => "settingsPassword", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "settingsPassword"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 48
        $context["title"] = __("Collect interval");
        // line 49
        echo "                    ";
        $context["helpText"] = __("How often should the Player check for new content.");
        // line 50
        echo "                    ";
        $context["options"] = [0 => ["id" => 60, "value" => __("1 minute")], 1 => ["id" => 300, "value" => __("5 minutes")], 2 => ["id" => 600, "value" => __("10 minutes")], 3 => ["id" => 1800, "value" => __("30 minutes")], 4 => ["id" => 3600, "value" => __("1 hour")], 5 => ["id" => 5400, "value" => __("1 hour 30 minutes")], 6 => ["id" => 7200, "value" => __("2 hours")], 7 => ["id" => 9000, "value" => __("2 hours 30 minutes")], 8 => ["id" => 10800, "value" => __("3 hours")], 9 => ["id" => 12600, "value" => __("3 hours 30 minutes")], 10 => ["id" => 14400, "value" => __("4 hours")], 11 => ["id" => 18000, "value" => __("5 hours")], 12 => ["id" => 21600, "value" => __("6 hours")], 13 => ["id" => 25200, "value" => __("7 hours")], 14 => ["id" => 28800, "value" => __("8 hours")], 15 => ["id" => 32400, "value" => __("9 hours")], 16 => ["id" => 36000, "value" => __("10 hours")], 17 => ["id" => 39600, "value" => __("11 hours")], 18 => ["id" => 43200, "value" => __("12 hours")], 19 => ["id" => 86400, "value" => __("24 hours")]];
        // line 72
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "dropdown", [0 => "collectInterval", 1 => "single", 2 => ($context["title"] ?? null), 3 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "collectInterval"], "method"), 4 => ($context["options"] ?? null), 5 => "id", 6 => "value", 7 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 74
        $context["title"] = __("XMR Public Address");
        // line 75
        echo "                    ";
        $context["helpText"] = __("Please enter the public address for XMR.");
        // line 76
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "input", [0 => "xmrNetworkAddress", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "xmrNetworkAddress"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 78
        $context["title"] = __("Enable stats reporting?");
        // line 79
        echo "                    ";
        $context["helpText"] = __("Should the application send proof of play stats to the CMS.");
        // line 80
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "checkbox", [0 => "statsEnabled", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "statsEnabled"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 82
        $context["title"] = __("Aggregation level");
        // line 83
        echo "                    ";
        $context["helpText"] = __("Set the level of collection for Proof of Play Statistics to be applied to selected Layouts / Media and Widget items.");
        // line 84
        echo "                    ";
        $context["options"] = [0 => ["id" => "Individual", "value" => __("Individual")], 1 => ["id" => "Hourly", "value" => __("Hourly")], 2 => ["id" => "Daily", "value" => __("Daily")]];
        // line 89
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "dropdown", [0 => "aggregationLevel", 1 => "single", 2 => ($context["title"] ?? null), 3 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "aggregationLevel"], "method"), 4 => ($context["options"] ?? null), 5 => "id", 6 => "value", 7 => ($context["helpText"] ?? null), 8 => "aggregation-level"], "method"), "html", null, true);
        echo "

                    ";
        // line 91
        $context["title"] = __("Record geolocation on each Proof of Play?");
        // line 92
        echo "                    ";
        $context["helpText"] = __("If the geolocation of the Display is known, enable to record that location against each proof of play record.");
        // line 93
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "checkbox", [0 => "isRecordGeoLocationOnProofOfPlay", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "isRecordGeoLocationOnProofOfPlay"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 95
        $context["title"] = __("Player Version");
        // line 96
        echo "                    ";
        $context["helpText"] = __("Set the Player Version to install, making sure that the selected version is suitable for your device");
        // line 97
        echo "                    ";
        $context["attributes"] = [0 => ["name" => "data-width", "value" => "300px"], 1 => ["name" => "data-allow-clear", "value" => "true"], 2 => ["name" => "data-placeholder--id", "value" => null], 3 => ["name" => "data-placeholder--value", "value" => ""], 4 => ["name" => "data-search-url", "value" => $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("playersoftware.search")], 5 => ["name" => "data-search-term", "value" => "playerShowVersion"], 6 => ["name" => "data-id-property", "value" => "mediaId"], 7 => ["name" => "data-text-property", "value" => "playerShowVersion"], 8 => ["name" => "data-filter-options", "value" => "{\"playerType\":\"android\"}"]];
        // line 108
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "dropdown", [0 => "versionMediaId", 1 => "single", 2 => ($context["title"] ?? null), 3 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "versionMediaId"], "method"), 4 => twig_array_merge([0 => ["mediaId" => null, "playerShowVersion" => ""]], ($context["versions"] ?? null)), 5 => "mediaId", 6 => "playerShowVersion", 7 => ($context["helpText"] ?? null), 8 => "pagedSelect", 9 => "", 10 => "", 11 => "", 12 => ($context["attributes"] ?? null)], "method"), "html", null, true);
        echo "
                </div>

                <div class=\"tab-pane\" id=\"network\">

                    ";
        // line 113
        $context["title"] = __("Download Window Start Time");
        // line 114
        echo "                    ";
        $context["helpText"] = __("The start of the time window to connect to the CMS and download updates.");
        // line 115
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "time", [0 => "downloadStartWindow", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "downloadStartWindow"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 117
        $context["title"] = __("Download Window End Time");
        // line 118
        echo "                    ";
        $context["helpText"] = __("The end of the time window to connect to the CMS and download updates.");
        // line 119
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "time", [0 => "downloadEndWindow", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "downloadEndWindow"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 121
        $context["title"] = __("Update Window Start Time");
        // line 122
        echo "                    ";
        $context["helpText"] = __("The start of the time window to install application updates.");
        // line 123
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "time", [0 => "updateStartWindow", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "updateStartWindow"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 125
        $context["title"] = __("Update Window End Time");
        // line 126
        echo "                    ";
        $context["helpText"] = __("The end of the time window to install application updates.");
        // line 127
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "time", [0 => "updateEndWindow", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "updateEndWindow"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 129
        $context["title"] = __("Force HTTPS?");
        // line 130
        echo "                    ";
        $context["helpText"] = __("Should Displays be forced to use HTTPS connection to the CMS?");
        // line 131
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "checkbox", [0 => "forceHttps", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "forceHttps"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 133
        $context["title"] = __("Operating Hours");
        // line 134
        echo "                    ";
        $context["helpText"] = __("Select a day part that should act as operating hours for this display -  email alerts will not be sent outside of operating hours");
        // line 135
        echo "                    ";
        $context["attributes"] = [0 => ["name" => "data-width", "value" => "300px"], 1 => ["name" => "data-allow-clear", "value" => "true"], 2 => ["name" => "data-placeholder--id", "value" => null], 3 => ["name" => "data-placeholder--value", "value" => ""], 4 => ["name" => "data-search-url", "value" => $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("daypart.search")], 5 => ["name" => "data-search-term", "value" => "name"], 6 => ["name" => "data-id-property", "value" => "dayPartId"], 7 => ["name" => "data-text-property", "value" => "name"], 8 => ["name" => "data-filter-options", "value" => "{\"isAlways\":\"0\", \"isCustom\":\"0\"}"]];
        // line 146
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "dropdown", [0 => "dayPartId", 1 => "single", 2 => ($context["title"] ?? null), 3 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "dayPartId"], "method"), 4 => twig_array_merge([0 => ["dayPartId" => null, "name" => ""]], ($context["dayParts"] ?? null)), 5 => "dayPartId", 6 => "name", 7 => ($context["helpText"] ?? null), 8 => "pagedSelect", 9 => "", 10 => "", 11 => "", 12 => ($context["attributes"] ?? null)], "method"), "html", null, true);
        echo "

                </div>

                <div class=\"tab-pane\" id=\"location\">

                    ";
        // line 152
        $context["title"] = __("Orientation");
        // line 153
        echo "                    ";
        $context["helpText"] = __("Set the orientation of the device (portrait mode will only work if supported by the hardware) Application Restart Required.");
        // line 154
        echo "                    ";
        $context["options"] = [0 => ["id" => 0, "value" => __("Landscape")], 1 => ["id" => 1, "value" => __("Portrait")], 2 => ["id" => 8, "value" => __("Reverse Landscape")], 3 => ["id" => 9, "value" => __("Reverse Portrait")]];
        // line 160
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "dropdown", [0 => "orientation", 1 => "single", 2 => ($context["title"] ?? null), 3 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "orientation"], "method"), 4 => ($context["options"] ?? null), 5 => "id", 6 => "value", 7 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 162
        $context["title"] = __("Screen Dimensions");
        // line 163
        echo "                    ";
        $context["helpText"] = __("Set dimensions to be used for the Player window ensuring that they do not exceed the actual screen size. Enter a comma separated string representing the pixel sizings for; Left,Top,Width,Height. eg:100,100,720,480. This requires a Player Restart to action.");
        // line 164
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "input", [0 => "screenDimensions", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "screenDimensions"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                </div>

                <div class=\"tab-pane\" id=\"troubleshooting\">

                    ";
        // line 170
        $context["title"] = __("Blacklist Videos?");
        // line 171
        echo "                    ";
        $context["helpText"] = __("Should Videos we fail to play be blacklisted and no longer attempted?");
        // line 172
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "checkbox", [0 => "blacklistVideo", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "blacklistVideo"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 174
        $context["title"] = __("Store HTML resources on the Internal Storage?");
        // line 175
        echo "                    ";
        $context["helpText"] = __("Store all HTML resources on the Internal Storage? Should be selected if the device cannot display text, ticker, dataset media.");
        // line 176
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "checkbox", [0 => "storeHtmlOnInternal", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "storeHtmlOnInternal"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 178
        $context["title"] = __("Use a SurfaceView for Video Rendering?");
        // line 179
        echo "                    ";
        $context["helpText"] = __("If the device is having trouble playing video, it may be useful to switch to a Surface View for Video Rendering.");
        // line 180
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "checkbox", [0 => "useSurfaceVideoView", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "useSurfaceVideoView"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 182
        $context["title"] = __("Log Level");
        // line 183
        echo "                    ";
        $context["helpText"] = __("The logging level that should be recorded by the Player.");
        // line 184
        echo "                    ";
        $context["options"] = [0 => ["id" => "audit", "value" => __("Audit")], 1 => ["id" => "error", "value" => __("Error")], 2 => ["id" => "off", "value" => __("Off")]];
        // line 189
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "dropdown", [0 => "logLevel", 1 => "single", 2 => ($context["title"] ?? null), 3 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "logLevel"], "method"), 4 => ($context["options"] ?? null), 5 => "id", 6 => "value", 7 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                </div>

                <div class=\"tab-pane\" id=\"advanced\">

                    ";
        // line 195
        $context["title"] = __("Start during device start up?");
        // line 196
        echo "                    ";
        $context["helpText"] = __("When the device starts and Android finishes loading, should the Player start up and come to the foreground?");
        // line 197
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "checkbox", [0 => "startOnBoot", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "startOnBoot"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 199
        $context["title"] = __("Action Bar Mode");
        // line 200
        echo "                    ";
        $context["helpText"] = __("How should the action bar behave?");
        // line 201
        echo "                    ";
        $context["options"] = [0 => ["id" => 0, "value" => __("Hide")], 1 => ["id" => 1, "value" => __("Timed")], 2 => ["id" => 2, "value" => __("Run Intent")]];
        // line 206
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "dropdown", [0 => "actionBarMode", 1 => "single", 2 => ($context["title"] ?? null), 3 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "actionBarMode"], "method"), 4 => ($context["options"] ?? null), 5 => "id", 6 => "value", 7 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 208
        $context["title"] = __("Action Bar Display Duration");
        // line 209
        echo "                    ";
        $context["helpText"] = __("How long should the Action Bar be shown for, in seconds?");
        // line 210
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "number", [0 => "actionBarDisplayDuration", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "actionBarDisplayDuration"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 212
        $context["title"] = __("Action Bar Intent");
        // line 213
        echo "                    ";
        $context["helpText"] = __("When set to Run Intent, which intent should be run. Format is: Action|ExtraKey,ExtraMsg");
        // line 214
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "input", [0 => "actionBarIntent", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "actionBarIntent"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 216
        $context["title"] = __("Automatic Restart");
        // line 217
        echo "                    ";
        $context["helpText"] = __("Automatically Restart the application if we detect it is not visible.");
        // line 218
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "checkbox", [0 => "autoRestart", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "autoRestart"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 220
        $context["title"] = __("Start delay for device start up");
        // line 221
        echo "                    ";
        $context["helpText"] = __("The number of seconds to wait before starting the application after the device has started. Minimum 10.");
        // line 222
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "number", [0 => "startOnBootDelay", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "startOnBootDelay"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 224
        if (($this->getAttribute(($context["theme"] ?? null), "getSetting", [0 => "DISPLAY_PROFILE_CURRENT_LAYOUT_STATUS_ENABLED", 1 => 0], "method") == 1)) {
            // line 225
            echo "                        ";
            $context["title"] = __("Notify current layout");
            // line 226
            echo "                        ";
            $context["helpText"] = __("When enabled the Player will send the current layout to the CMS each time it changes. Warning: This is bandwidth intensive and should be disabled unless on a LAN.");
            // line 227
            echo "                        ";
            echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "checkbox", [0 => "sendCurrentLayoutAsStatusUpdate", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "sendCurrentLayoutAsStatusUpdate"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
            echo "
                    ";
        }
        // line 229
        echo "
                    ";
        // line 230
        $context["title"] = __("Expire Modified Layouts?");
        // line 231
        echo "                    ";
        $context["helpText"] = __("Expire Modified Layouts immediately on change. This means a layout can be cut during playback if it receives an update from the CMS");
        // line 232
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "checkbox", [0 => "expireModifiedLayouts", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "expireModifiedLayouts"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 234
        if (($this->getAttribute(($context["theme"] ?? null), "getSetting", [0 => "DISPLAY_PROFILE_SCREENSHOT_INTERVAL_ENABLED", 1 => 0], "method") == 1)) {
            // line 235
            echo "                        ";
            $context["title"] = __("Screen shot interval");
            // line 236
            echo "                        ";
            $context["helpText"] = __("The duration between status screen shots in minutes. 0 to disable. Warning: This is bandwidth intensive.");
            // line 237
            echo "                        ";
            echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "number", [0 => "screenShotRequestInterval", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "screenShotRequestInterval"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
            echo "
                    ";
        }
        // line 239
        echo "
                    ";
        // line 240
        $context["title"] = __("Action for Screen Shot Intent");
        // line 241
        echo "                    ";
        $context["helpText"] = __("The Intent Action to use for requesting a screen shot. Leave empty to natively create an image from the player screen content.");
        // line 242
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "input", [0 => "screenShotIntent", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "screenShotIntent"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 244
        $context["title"] = __("Screen Shot Size");
        // line 245
        echo "                    ";
        $context["helpText"] = __("The size of the largest dimension. Empty or 0 means the screen size.");
        // line 246
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "input", [0 => "screenShotSize", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "screenShotSize"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 248
        $context["title"] = __("WebView Plugin State");
        // line 249
        echo "                    ";
        $context["helpText"] = __("What plugin state should be used when starting a web view.");
        // line 250
        echo "                    ";
        $context["options"] = [0 => ["id" => "OFF", "value" => __("Off")], 1 => ["id" => "DEMAND", "value" => __("On Demand")], 2 => ["id" => "ON", "value" => __("On")]];
        // line 255
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "dropdown", [0 => "webViewPluginState", 1 => "single", 2 => ($context["title"] ?? null), 3 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "webViewPluginState"], "method"), 4 => ($context["options"] ?? null), 5 => "id", 6 => "value", 7 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 257
        $context["title"] = __("Hardware Accelerate Web Content");
        // line 258
        echo "                    ";
        $context["helpText"] = __("Mode for hardware acceleration of web based content.");
        // line 259
        echo "                    ";
        $context["options"] = [0 => ["id" => "0", "value" => __("Off")], 1 => ["id" => "2", "value" => __("Off when transparent")], 2 => ["id" => "1", "value" => __("On")]];
        // line 264
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "dropdown", [0 => "hardwareAccelerateWebViewMode", 1 => "single", 2 => ($context["title"] ?? null), 3 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "hardwareAccelerateWebViewMode"], "method"), 4 => ($context["options"] ?? null), 5 => "id", 6 => "value", 7 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 266
        $context["title"] = __("Use CMS time?");
        // line 267
        echo "                    ";
        $context["helpText"] = __("Set the device time using the CMS. Only available on rooted devices or system signed players.");
        // line 268
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "checkbox", [0 => "timeSyncFromCms", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "timeSyncFromCms"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 270
        $context["title"] = __("Enable caching of Web Resources?");
        // line 271
        echo "                    ";
        $context["helpText"] = __("The standard browser cache will be used - we recommend this is switched off unless specifically required. Effects Web Page and Embedded.");
        // line 272
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "checkbox", [0 => "webCacheEnabled", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "webCacheEnabled"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 274
        $context["title"] = __("Embedded Web Server Port");
        // line 275
        echo "                    ";
        $context["helpText"] = __("The port number to use for the embedded web server on the Player. Only change this if there is a port conflict reported on the status screen.");
        // line 276
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "number", [0 => "serverPort", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "serverPort"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 278
        $context["title"] = __("Load Link Libraries for APK Update");
        // line 279
        echo "                    ";
        $context["helpText"] = __("Should the update command include dynamic link libraries? Only change this if your updates are failing.");
        // line 280
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "checkbox", [0 => "installWithLoadedLinkLibraries", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "installWithLoadedLinkLibraries"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 282
        $context["title"] = __("Use Multiple Video Decoders");
        // line 283
        echo "                    ";
        $context["helpText"] = __("Should the Player try to use Multiple Video Decoders when preparing and showing Video content.");
        // line 284
        echo "                    ";
        $context["options"] = [0 => ["id" => "default", "value" => __("Device Default")], 1 => ["id" => "on", "value" => __("On")], 2 => ["id" => "off", "value" => __("Off")]];
        // line 289
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "dropdown", [0 => "isUseMultipleVideoDecoders", 1 => "single", 2 => ($context["title"] ?? null), 3 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "isUseMultipleVideoDecoders"], "method"), 4 => ($context["options"] ?? null), 5 => "id", 6 => "value", 7 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "

                    ";
        // line 291
        $context["title"] = __("Maximum Region Count");
        // line 292
        echo "                    ";
        $context["helpText"] = __("This setting is a memory limit protection setting which will stop rendering regions beyond the limit set. Leave at 0 for no limit.");
        // line 293
        echo "                    ";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["forms"] ?? null), "number", [0 => "maxRegionCount", 1 => ($context["title"] ?? null), 2 => $this->getAttribute(($context["displayProfile"] ?? null), "getSetting", [0 => "maxRegionCount"], "method"), 3 => ($context["helpText"] ?? null)], "method"), "html", null, true);
        echo "
                </div>

                ";
        // line 296
        if ((twig_length_filter($this->env, ($context["commands"] ?? null)) > 0)) {
            // line 297
            echo "                <div class=\"tab-pane\" id=\"commands\">
                    ";
            // line 298
            $this->loadTemplate("displayprofile-form-edit-command-fields.twig", "displayprofile-form-edit-android.twig", 298)->display($context);
            // line 299
            echo "                </div>
                ";
        }
        // line 301
        echo "            </div>
        </form>
    </div>
</div>";
    }

    public function getTemplateName()
    {
        return "displayprofile-form-edit-android.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  575 => 301,  571 => 299,  569 => 298,  566 => 297,  564 => 296,  557 => 293,  554 => 292,  552 => 291,  546 => 289,  543 => 284,  540 => 283,  538 => 282,  532 => 280,  529 => 279,  527 => 278,  521 => 276,  518 => 275,  516 => 274,  510 => 272,  507 => 271,  505 => 270,  499 => 268,  496 => 267,  494 => 266,  488 => 264,  485 => 259,  482 => 258,  480 => 257,  474 => 255,  471 => 250,  468 => 249,  466 => 248,  460 => 246,  457 => 245,  455 => 244,  449 => 242,  446 => 241,  444 => 240,  441 => 239,  435 => 237,  432 => 236,  429 => 235,  427 => 234,  421 => 232,  418 => 231,  416 => 230,  413 => 229,  407 => 227,  404 => 226,  401 => 225,  399 => 224,  393 => 222,  390 => 221,  388 => 220,  382 => 218,  379 => 217,  377 => 216,  371 => 214,  368 => 213,  366 => 212,  360 => 210,  357 => 209,  355 => 208,  349 => 206,  346 => 201,  343 => 200,  341 => 199,  335 => 197,  332 => 196,  330 => 195,  320 => 189,  317 => 184,  314 => 183,  312 => 182,  306 => 180,  303 => 179,  301 => 178,  295 => 176,  292 => 175,  290 => 174,  284 => 172,  281 => 171,  279 => 170,  269 => 164,  266 => 163,  264 => 162,  258 => 160,  255 => 154,  252 => 153,  250 => 152,  240 => 146,  237 => 135,  234 => 134,  232 => 133,  226 => 131,  223 => 130,  221 => 129,  215 => 127,  212 => 126,  210 => 125,  204 => 123,  201 => 122,  199 => 121,  193 => 119,  190 => 118,  188 => 117,  182 => 115,  179 => 114,  177 => 113,  168 => 108,  165 => 97,  162 => 96,  160 => 95,  154 => 93,  151 => 92,  149 => 91,  143 => 89,  140 => 84,  137 => 83,  135 => 82,  129 => 80,  126 => 79,  124 => 78,  118 => 76,  115 => 75,  113 => 74,  107 => 72,  104 => 50,  101 => 49,  99 => 48,  93 => 46,  90 => 45,  88 => 44,  82 => 42,  79 => 41,  77 => 40,  74 => 39,  72 => 38,  66 => 35,  63 => 34,  57 => 32,  55 => 31,  51 => 30,  47 => 29,  43 => 28,  39 => 27,  35 => 26,  30 => 23,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "displayprofile-form-edit-android.twig", "/home/mgatv524/public_html/edurocha/views/displayprofile-form-edit-android.twig");
    }
}
